import { AfterViewInit, ElementRef } from '@angular/core';
import { ControlValueAccessorDirective } from "../../../directives/control-value-accessor.directive";
import { Option } from "../../../interfaces/option";
import * as i0 from "@angular/core";
export declare class SelectComponent<T> extends ControlValueAccessorDirective<T> implements AfterViewInit {
    inputId: string;
    label: string;
    autocomplete: string;
    options: Option[];
    customErrorMessages: Record<string, string>;
    selectElement: ElementRef;
    private themingConfig;
    ngAfterViewInit(): void;
    focusSelectComponent(): void;
    private addThemingClasses;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectComponent<any>, "lib-select", never, { "inputId": { "alias": "inputId"; "required": false; }; "label": { "alias": "label"; "required": false; }; "autocomplete": { "alias": "autocomplete"; "required": false; }; "options": { "alias": "options"; "required": true; }; "customErrorMessages": { "alias": "customErrorMessages"; "required": false; }; }, {}, never, never, true, never>;
}
