import { Injector, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class ControlValueAccessorDirective<T> implements OnInit, ControlValueAccessor, OnDestroy {
    private injector;
    control: FormControl | undefined;
    isRequired: boolean;
    private _isDisabled;
    private _destroy$;
    private _onTouched;
    constructor(injector: Injector);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setFormControl(): void;
    writeValue(obj: T): void;
    registerOnChange(fn: (val: T | null) => T): void;
    registerOnTouched(fn: () => T): void;
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ControlValueAccessorDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ControlValueAccessorDirective<any>, "[libControlValueAccessor]", never, {}, {}, never, never, true, never>;
}
